if (app) {
    try {
        Select();
    } catch (e) {

    }
}

function Select() {
    if (ScriptUI.environment.keyboardState.shiftKey) {
        doc = app.activeDocument;
        docRef = app.activeDocument;
        var fWidth = docRef.width.as("px");
        var fHeight = docRef.height.as("px");
        if (fHeight > fWidth) {
            var iE = prompt("为了更快地处理视频纹理，将以较低的分辨率创建此图片的副本。 如果您的计算机不是很强大，请使用较小的值。 图片的长边将为（像素）：“，” 1500");
            var idDplc = charIDToTypeID("Dplc");
            var desc62 = new ActionDescriptor();
            var idnull = charIDToTypeID("null");
            var ref46 = new ActionReference();
            var idDcmn = charIDToTypeID("Dcmn");
            var idOrdn = charIDToTypeID("Ordn");
            var idFrst = charIDToTypeID("Frst");
            ref46.putEnumerated(idDcmn, idOrdn, idFrst);
            desc62.putReference(idnull, ref46);
            var idNm = charIDToTypeID("Nm  ");
            desc62.putString(idNm, "Preview");
            var idMrgd = charIDToTypeID("Mrgd");
            desc62.putBoolean(idMrgd, true);
            executeAction(idDplc, desc62, DialogModes.NO);
            var idImgS = charIDToTypeID("ImgS");
            var desc117 = new ActionDescriptor();
            var idHght = charIDToTypeID("Hght");
            var idPxl = charIDToTypeID("#Pxl");
            desc117.putUnitDouble(idHght, idPxl, iE);
            var idscaleStyles = stringIDToTypeID("scaleStyles");
            desc117.putBoolean(idscaleStyles, true);
            var idCnsP = charIDToTypeID("CnsP");
            desc117.putBoolean(idCnsP, true);
            var idIntr = charIDToTypeID("Intr");
            var idIntp = charIDToTypeID("Intp");
            var idautomaticInterpolation = stringIDToTypeID("automaticInterpolation");
            desc117.putEnumerated(idIntr, idIntp, idautomaticInterpolation);
            executeAction(idImgS, desc117, DialogModes.NO);
        } else {
            var iE = prompt("为了更快地处理视频纹理，将以较低的分辨率创建此图片的副本。 如果您的计算机不是很强大，请使用较小的值。 图片的长边将为（像素）：“，” 1500");
            var idDplc = charIDToTypeID("Dplc");
            var desc62 = new ActionDescriptor();
            var idnull = charIDToTypeID("null");
            var ref46 = new ActionReference();
            var idDcmn = charIDToTypeID("Dcmn");
            var idOrdn = charIDToTypeID("Ordn");
            var idFrst = charIDToTypeID("Frst");
            ref46.putEnumerated(idDcmn, idOrdn, idFrst);
            desc62.putReference(idnull, ref46);
            var idNm = charIDToTypeID("Nm  ");
            desc62.putString(idNm, "Preview");
            var idMrgd = charIDToTypeID("Mrgd");
            desc62.putBoolean(idMrgd, true);
            executeAction(idDplc, desc62, DialogModes.NO);
            var idImgS = charIDToTypeID("ImgS");
            var desc209 = new ActionDescriptor();
            var idWdth = charIDToTypeID("Wdth");
            var idPxl = charIDToTypeID("#Pxl");
            desc209.putUnitDouble(idWdth, idPxl, iE);
            var idscaleStyles = stringIDToTypeID("scaleStyles");
            desc209.putBoolean(idscaleStyles, true);
            var idCnsP = charIDToTypeID("CnsP");
            desc209.putBoolean(idCnsP, true);
            var idIntr = charIDToTypeID("Intr");
            var idIntp = charIDToTypeID("Intp");
            var idautomaticInterpolation = stringIDToTypeID("automaticInterpolation");
            desc209.putEnumerated(idIntr, idIntp, idautomaticInterpolation);
            executeAction(idImgS, desc209, DialogModes.NO);
        }
        runMenuItem(app.charIDToTypeID("FtOn"));
        var thisFile = new File($.fileName);
        var thisFile = new File($.fileName);
        var idOpn = charIDToTypeID("Opn ");
        var desc34 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        desc34.putPath(idnull, new File(thisFile.path + "/54.jsx"));
        executeAction(idOpn, desc34, DialogModes.NO);
        var idHd = charIDToTypeID("Hd  ");
        var desc2 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        var list2 = new ActionList();
        var ref2 = new ActionReference();
        var idLyr = charIDToTypeID("Lyr ");
        var idOrdn = charIDToTypeID("Ordn");
        var idTrgt = charIDToTypeID("Trgt");
        ref2.putEnumerated(idLyr, idOrdn, idTrgt);
        list2.putReference(ref2);
        desc2.putList(idnull, list2);
        executeAction(idHd, desc2, DialogModes.NO);
        var thisFile = new File($.fileName);
        var thisFile = new File($.fileName);
        var idOpn = charIDToTypeID("Opn ");
        var desc34 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        desc34.putPath(idnull, new File(thisFile.path + "/53.jsx"));
        executeAction(idOpn, desc34, DialogModes.NO);
        var idHd = charIDToTypeID("Hd  ");
        var desc2 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        var list2 = new ActionList();
        var ref2 = new ActionReference();
        var idLyr = charIDToTypeID("Lyr ");
        var idOrdn = charIDToTypeID("Ordn");
        var idTrgt = charIDToTypeID("Trgt");
        ref2.putEnumerated(idLyr, idOrdn, idTrgt);
        list2.putReference(ref2);
        desc2.putList(idnull, list2);
        executeAction(idHd, desc2, DialogModes.NO);
        var thisFile = new File($.fileName);
        var thisFile = new File($.fileName);
        var idOpn = charIDToTypeID("Opn ");
        var desc34 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        desc34.putPath(idnull, new File(thisFile.path + "/52.jsx"));
        executeAction(idOpn, desc34, DialogModes.NO);
        var idHd = charIDToTypeID("Hd  ");
        var desc2 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        var list2 = new ActionList();
        var ref2 = new ActionReference();
        var idLyr = charIDToTypeID("Lyr ");
        var idOrdn = charIDToTypeID("Ordn");
        var idTrgt = charIDToTypeID("Trgt");
        ref2.putEnumerated(idLyr, idOrdn, idTrgt);
        list2.putReference(ref2);
        desc2.putList(idnull, list2);
        executeAction(idHd, desc2, DialogModes.NO);
        var idHd = charIDToTypeID("Hd  ");
        var desc2 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        var list2 = new ActionList();
        var ref2 = new ActionReference();
        var idLyr = charIDToTypeID("Lyr ");
        var idOrdn = charIDToTypeID("Ordn");
        var idTrgt = charIDToTypeID("Trgt");
        ref2.putEnumerated(idLyr, idOrdn, idTrgt);
        list2.putReference(ref2);
        desc2.putList(idnull, list2);
        executeAction(idHd, desc2, DialogModes.NO);
        var idHd = charIDToTypeID("Hd  ");
        var desc2 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        var list2 = new ActionList();
        var ref2 = new ActionReference();
        var idLyr = charIDToTypeID("Lyr ");
        var idOrdn = charIDToTypeID("Ordn");
        var idTrgt = charIDToTypeID("Trgt");
        ref2.putEnumerated(idLyr, idOrdn, idTrgt);
        list2.putReference(ref2);
        desc2.putList(idnull, list2);
        executeAction(idHd, desc2, DialogModes.NO);
        var thisFile = new File($.fileName);
        var thisFile = new File($.fileName);
        var idOpn = charIDToTypeID("Opn ");
        var desc34 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        desc34.putPath(idnull, new File(thisFile.path + "/51.jsx"));
        executeAction(idOpn, desc34, DialogModes.NO);
        var idHd = charIDToTypeID("Hd  ");
        var desc2 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        var list2 = new ActionList();
        var ref2 = new ActionReference();
        var idLyr = charIDToTypeID("Lyr ");
        var idOrdn = charIDToTypeID("Ordn");
        var idTrgt = charIDToTypeID("Trgt");
        ref2.putEnumerated(idLyr, idOrdn, idTrgt);
        list2.putReference(ref2);
        desc2.putList(idnull, list2);
        executeAction(idHd, desc2, DialogModes.NO);
        var thisFile = new File($.fileName);
        var thisFile = new File($.fileName);
        var idOpn = charIDToTypeID("Opn ");
        var desc34 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        desc34.putPath(idnull, new File(thisFile.path + "/45.jsx"));
        executeAction(idOpn, desc34, DialogModes.NO);
        var idHd = charIDToTypeID("Hd  ");
        var desc2 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        var list2 = new ActionList();
        var ref2 = new ActionReference();
        var idLyr = charIDToTypeID("Lyr ");
        var idOrdn = charIDToTypeID("Ordn");
        var idTrgt = charIDToTypeID("Trgt");
        ref2.putEnumerated(idLyr, idOrdn, idTrgt);
        list2.putReference(ref2);
        desc2.putList(idnull, list2);
        executeAction(idHd, desc2, DialogModes.NO);
        var thisFile = new File($.fileName);
        var thisFile = new File($.fileName);
        var idOpn = charIDToTypeID("Opn ");
        var desc34 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        desc34.putPath(idnull, new File(thisFile.path + "/44.jsx"));
        executeAction(idOpn, desc34, DialogModes.NO);
        var idHd = charIDToTypeID("Hd  ");
        var desc2 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        var list2 = new ActionList();
        var ref2 = new ActionReference();
        var idLyr = charIDToTypeID("Lyr ");
        var idOrdn = charIDToTypeID("Ordn");
        var idTrgt = charIDToTypeID("Trgt");
        ref2.putEnumerated(idLyr, idOrdn, idTrgt);
        list2.putReference(ref2);
        desc2.putList(idnull, list2);
        executeAction(idHd, desc2, DialogModes.NO);
        var thisFile = new File($.fileName);
        var thisFile = new File($.fileName);
        var idOpn = charIDToTypeID("Opn ");
        var desc34 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        desc34.putPath(idnull, new File(thisFile.path + "/43.jsx"));
        executeAction(idOpn, desc34, DialogModes.NO);
        var idHd = charIDToTypeID("Hd  ");
        var desc2 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        var list2 = new ActionList();
        var ref2 = new ActionReference();
        var idLyr = charIDToTypeID("Lyr ");
        var idOrdn = charIDToTypeID("Ordn");
        var idTrgt = charIDToTypeID("Trgt");
        ref2.putEnumerated(idLyr, idOrdn, idTrgt);
        list2.putReference(ref2);
        desc2.putList(idnull, list2);
        executeAction(idHd, desc2, DialogModes.NO);
        var thisFile = new File($.fileName);
        var thisFile = new File($.fileName);
        var idOpn = charIDToTypeID("Opn ");
        var desc34 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        desc34.putPath(idnull, new File(thisFile.path + "/42.jsx"));
        executeAction(idOpn, desc34, DialogModes.NO);
        var idHd = charIDToTypeID("Hd  ");
        var desc2 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        var list2 = new ActionList();
        var ref2 = new ActionReference();
        var idLyr = charIDToTypeID("Lyr ");
        var idOrdn = charIDToTypeID("Ordn");
        var idTrgt = charIDToTypeID("Trgt");
        ref2.putEnumerated(idLyr, idOrdn, idTrgt);
        list2.putReference(ref2);
        desc2.putList(idnull, list2);
        executeAction(idHd, desc2, DialogModes.NO);
        var thisFile = new File($.fileName);
        var thisFile = new File($.fileName);
        var idOpn = charIDToTypeID("Opn ");
        var desc34 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        desc34.putPath(idnull, new File(thisFile.path + "/41.jsx"));
        executeAction(idOpn, desc34, DialogModes.NO);
        var idHd = charIDToTypeID("Hd  ");
        var desc2 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        var list2 = new ActionList();
        var ref2 = new ActionReference();
        var idLyr = charIDToTypeID("Lyr ");
        var idOrdn = charIDToTypeID("Ordn");
        var idTrgt = charIDToTypeID("Trgt");
        ref2.putEnumerated(idLyr, idOrdn, idTrgt);
        list2.putReference(ref2);
        desc2.putList(idnull, list2);
        executeAction(idHd, desc2, DialogModes.NO);
        var thisFile = new File($.fileName);
        var thisFile = new File($.fileName);
        var idOpn = charIDToTypeID("Opn ");
        var desc34 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        desc34.putPath(idnull, new File(thisFile.path + "/35.jsx"));
        executeAction(idOpn, desc34, DialogModes.NO);
        var idHd = charIDToTypeID("Hd  ");
        var desc2 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        var list2 = new ActionList();
        var ref2 = new ActionReference();
        var idLyr = charIDToTypeID("Lyr ");
        var idOrdn = charIDToTypeID("Ordn");
        var idTrgt = charIDToTypeID("Trgt");
        ref2.putEnumerated(idLyr, idOrdn, idTrgt);
        list2.putReference(ref2);
        desc2.putList(idnull, list2);
        executeAction(idHd, desc2, DialogModes.NO);
        var thisFile = new File($.fileName);
        var thisFile = new File($.fileName);
        var idOpn = charIDToTypeID("Opn ");
        var desc34 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        desc34.putPath(idnull, new File(thisFile.path + "/34.jsx"));
        executeAction(idOpn, desc34, DialogModes.NO);
        var idHd = charIDToTypeID("Hd  ");
        var desc2 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        var list2 = new ActionList();
        var ref2 = new ActionReference();
        var idLyr = charIDToTypeID("Lyr ");
        var idOrdn = charIDToTypeID("Ordn");
        var idTrgt = charIDToTypeID("Trgt");
        ref2.putEnumerated(idLyr, idOrdn, idTrgt);
        list2.putReference(ref2);
        desc2.putList(idnull, list2);
        executeAction(idHd, desc2, DialogModes.NO);
        var thisFile = new File($.fileName);
        var thisFile = new File($.fileName);
        var idOpn = charIDToTypeID("Opn ");
        var desc34 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        desc34.putPath(idnull, new File(thisFile.path + "/33.jsx"));
        executeAction(idOpn, desc34, DialogModes.NO);
        var idHd = charIDToTypeID("Hd  ");
        var desc2 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        var list2 = new ActionList();
        var ref2 = new ActionReference();
        var idLyr = charIDToTypeID("Lyr ");
        var idOrdn = charIDToTypeID("Ordn");
        var idTrgt = charIDToTypeID("Trgt");
        ref2.putEnumerated(idLyr, idOrdn, idTrgt);
        list2.putReference(ref2);
        desc2.putList(idnull, list2);
        executeAction(idHd, desc2, DialogModes.NO);
        var thisFile = new File($.fileName);
        var thisFile = new File($.fileName);
        var idOpn = charIDToTypeID("Opn ");
        var desc34 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        desc34.putPath(idnull, new File(thisFile.path + "/32.jsx"));
        executeAction(idOpn, desc34, DialogModes.NO);
        var idHd = charIDToTypeID("Hd  ");
        var desc2 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        var list2 = new ActionList();
        var ref2 = new ActionReference();
        var idLyr = charIDToTypeID("Lyr ");
        var idOrdn = charIDToTypeID("Ordn");
        var idTrgt = charIDToTypeID("Trgt");
        ref2.putEnumerated(idLyr, idOrdn, idTrgt);
        list2.putReference(ref2);
        desc2.putList(idnull, list2);
        executeAction(idHd, desc2, DialogModes.NO);
        var idHd = charIDToTypeID("Hd  ");
        var desc2 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        var list2 = new ActionList();
        var ref2 = new ActionReference();
        var idLyr = charIDToTypeID("Lyr ");
        var idOrdn = charIDToTypeID("Ordn");
        var idTrgt = charIDToTypeID("Trgt");
        ref2.putEnumerated(idLyr, idOrdn, idTrgt);
        list2.putReference(ref2);
        desc2.putList(idnull, list2);
        executeAction(idHd, desc2, DialogModes.NO);
        var thisFile = new File($.fileName);
        var thisFile = new File($.fileName);
        var idOpn = charIDToTypeID("Opn ");
        var desc34 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        desc34.putPath(idnull, new File(thisFile.path + "/31.jsx"));
        executeAction(idOpn, desc34, DialogModes.NO);
        var idHd = charIDToTypeID("Hd  ");
        var desc2 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        var list2 = new ActionList();
        var ref2 = new ActionReference();
        var idLyr = charIDToTypeID("Lyr ");
        var idOrdn = charIDToTypeID("Ordn");
        var idTrgt = charIDToTypeID("Trgt");
        ref2.putEnumerated(idLyr, idOrdn, idTrgt);
        list2.putReference(ref2);
        desc2.putList(idnull, list2);
        executeAction(idHd, desc2, DialogModes.NO);
        var thisFile = new File($.fileName);
        var thisFile = new File($.fileName);
        var idOpn = charIDToTypeID("Opn ");
        var desc34 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        desc34.putPath(idnull, new File(thisFile.path + "/25.jsx"));
        executeAction(idOpn, desc34, DialogModes.NO);
        var idHd = charIDToTypeID("Hd  ");
        var desc2 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        var list2 = new ActionList();
        var ref2 = new ActionReference();
        var idLyr = charIDToTypeID("Lyr ");
        var idOrdn = charIDToTypeID("Ordn");
        var idTrgt = charIDToTypeID("Trgt");
        ref2.putEnumerated(idLyr, idOrdn, idTrgt);
        list2.putReference(ref2);
        desc2.putList(idnull, list2);
        executeAction(idHd, desc2, DialogModes.NO);
        var thisFile = new File($.fileName);
        var thisFile = new File($.fileName);
        var idOpn = charIDToTypeID("Opn ");
        var desc34 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        desc34.putPath(idnull, new File(thisFile.path + "/24.jsx"));
        executeAction(idOpn, desc34, DialogModes.NO);
        var idHd = charIDToTypeID("Hd  ");
        var desc2 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        var list2 = new ActionList();
        var ref2 = new ActionReference();
        var idLyr = charIDToTypeID("Lyr ");
        var idOrdn = charIDToTypeID("Ordn");
        var idTrgt = charIDToTypeID("Trgt");
        ref2.putEnumerated(idLyr, idOrdn, idTrgt);
        list2.putReference(ref2);
        desc2.putList(idnull, list2);
        executeAction(idHd, desc2, DialogModes.NO);
        var idHd = charIDToTypeID("Hd  ");
        var desc2 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        var list2 = new ActionList();
        var ref2 = new ActionReference();
        var idLyr = charIDToTypeID("Lyr ");
        var idOrdn = charIDToTypeID("Ordn");
        var idTrgt = charIDToTypeID("Trgt");
        ref2.putEnumerated(idLyr, idOrdn, idTrgt);
        list2.putReference(ref2);
        desc2.putList(idnull, list2);
        executeAction(idHd, desc2, DialogModes.NO);
        var thisFile = new File($.fileName);
        var thisFile = new File($.fileName);
        var idOpn = charIDToTypeID("Opn ");
        var desc34 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        desc34.putPath(idnull, new File(thisFile.path + "/23.jsx"));
        executeAction(idOpn, desc34, DialogModes.NO);
        var idHd = charIDToTypeID("Hd  ");
        var desc2 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        var list2 = new ActionList();
        var ref2 = new ActionReference();
        var idLyr = charIDToTypeID("Lyr ");
        var idOrdn = charIDToTypeID("Ordn");
        var idTrgt = charIDToTypeID("Trgt");
        ref2.putEnumerated(idLyr, idOrdn, idTrgt);
        list2.putReference(ref2);
        desc2.putList(idnull, list2);
        executeAction(idHd, desc2, DialogModes.NO);
        var thisFile = new File($.fileName);
        var thisFile = new File($.fileName);
        var idOpn = charIDToTypeID("Opn ");
        var desc34 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        desc34.putPath(idnull, new File(thisFile.path + "/22.jsx"));
        executeAction(idOpn, desc34, DialogModes.NO);
        var idHd = charIDToTypeID("Hd  ");
        var desc2 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        var list2 = new ActionList();
        var ref2 = new ActionReference();
        var idLyr = charIDToTypeID("Lyr ");
        var idOrdn = charIDToTypeID("Ordn");
        var idTrgt = charIDToTypeID("Trgt");
        ref2.putEnumerated(idLyr, idOrdn, idTrgt);
        list2.putReference(ref2);
        desc2.putList(idnull, list2);
        executeAction(idHd, desc2, DialogModes.NO);
        var thisFile = new File($.fileName);
        var thisFile = new File($.fileName);
        var idOpn = charIDToTypeID("Opn ");
        var desc34 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        desc34.putPath(idnull, new File(thisFile.path + "/21.jsx"));
        executeAction(idOpn, desc34, DialogModes.NO);
        var idHd = charIDToTypeID("Hd  ");
        var desc2 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        var list2 = new ActionList();
        var ref2 = new ActionReference();
        var idLyr = charIDToTypeID("Lyr ");
        var idOrdn = charIDToTypeID("Ordn");
        var idTrgt = charIDToTypeID("Trgt");
        ref2.putEnumerated(idLyr, idOrdn, idTrgt);
        list2.putReference(ref2);
        desc2.putList(idnull, list2);
        executeAction(idHd, desc2, DialogModes.NO);
        var thisFile = new File($.fileName);
        var thisFile = new File($.fileName);
        var idOpn = charIDToTypeID("Opn ");
        var desc34 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        desc34.putPath(idnull, new File(thisFile.path + "/15.jsx"));
        executeAction(idOpn, desc34, DialogModes.NO);
        var idHd = charIDToTypeID("Hd  ");
        var desc2 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        var list2 = new ActionList();
        var ref2 = new ActionReference();
        var idLyr = charIDToTypeID("Lyr ");
        var idOrdn = charIDToTypeID("Ordn");
        var idTrgt = charIDToTypeID("Trgt");
        ref2.putEnumerated(idLyr, idOrdn, idTrgt);
        list2.putReference(ref2);
        desc2.putList(idnull, list2);
        executeAction(idHd, desc2, DialogModes.NO);
        var thisFile = new File($.fileName);
        var thisFile = new File($.fileName);
        var idOpn = charIDToTypeID("Opn ");
        var desc34 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        desc34.putPath(idnull, new File(thisFile.path + "/14.jsx"));
        executeAction(idOpn, desc34, DialogModes.NO);
        var idHd = charIDToTypeID("Hd  ");
        var desc2 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        var list2 = new ActionList();
        var ref2 = new ActionReference();
        var idLyr = charIDToTypeID("Lyr ");
        var idOrdn = charIDToTypeID("Ordn");
        var idTrgt = charIDToTypeID("Trgt");
        ref2.putEnumerated(idLyr, idOrdn, idTrgt);
        list2.putReference(ref2);
        desc2.putList(idnull, list2);
        executeAction(idHd, desc2, DialogModes.NO);
        var thisFile = new File($.fileName);
        var thisFile = new File($.fileName);
        var idOpn = charIDToTypeID("Opn ");
        var desc34 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        desc34.putPath(idnull, new File(thisFile.path + "/13.jsx"));
        executeAction(idOpn, desc34, DialogModes.NO);
        var idHd = charIDToTypeID("Hd  ");
        var desc2 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        var list2 = new ActionList();
        var ref2 = new ActionReference();
        var idLyr = charIDToTypeID("Lyr ");
        var idOrdn = charIDToTypeID("Ordn");
        var idTrgt = charIDToTypeID("Trgt");
        ref2.putEnumerated(idLyr, idOrdn, idTrgt);
        list2.putReference(ref2);
        desc2.putList(idnull, list2);
        executeAction(idHd, desc2, DialogModes.NO);
        var thisFile = new File($.fileName);
        var thisFile = new File($.fileName);
        var idOpn = charIDToTypeID("Opn ");
        var desc34 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        desc34.putPath(idnull, new File(thisFile.path + "/12.jsx"));
        executeAction(idOpn, desc34, DialogModes.NO);
        var idHd = charIDToTypeID("Hd  ");
        var desc2 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        var list2 = new ActionList();
        var ref2 = new ActionReference();
        var idLyr = charIDToTypeID("Lyr ");
        var idOrdn = charIDToTypeID("Ordn");
        var idTrgt = charIDToTypeID("Trgt");
        ref2.putEnumerated(idLyr, idOrdn, idTrgt);
        list2.putReference(ref2);
        desc2.putList(idnull, list2);
        executeAction(idHd, desc2, DialogModes.NO);
        var thisFile = new File($.fileName);
        var thisFile = new File($.fileName);
        var idOpn = charIDToTypeID("Opn ");
        var desc34 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        desc34.putPath(idnull, new File(thisFile.path + "/11.jsx"));
        executeAction(idOpn, desc34, DialogModes.NO);
        var idHd = charIDToTypeID("Hd  ");
        var desc2 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        var list2 = new ActionList();
        var ref2 = new ActionReference();
        var idLyr = charIDToTypeID("Lyr ");
        var idOrdn = charIDToTypeID("Ordn");
        var idTrgt = charIDToTypeID("Trgt");
        ref2.putEnumerated(idLyr, idOrdn, idTrgt);
        list2.putReference(ref2);
        desc2.putList(idnull, list2);
        executeAction(idHd, desc2, DialogModes.NO);
        var thisFile = new File($.fileName);
        var thisFile = new File($.fileName);
        var idOpn = charIDToTypeID("Opn ");
        var desc34 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        desc34.putPath(idnull, new File(thisFile.path + "/5.jsx"));
        executeAction(idOpn, desc34, DialogModes.NO);
        var idHd = charIDToTypeID("Hd  ");
        var desc2 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        var list2 = new ActionList();
        var ref2 = new ActionReference();
        var idLyr = charIDToTypeID("Lyr ");
        var idOrdn = charIDToTypeID("Ordn");
        var idTrgt = charIDToTypeID("Trgt");
        ref2.putEnumerated(idLyr, idOrdn, idTrgt);
        list2.putReference(ref2);
        desc2.putList(idnull, list2);
        executeAction(idHd, desc2, DialogModes.NO);
        var thisFile = new File($.fileName);
        var thisFile = new File($.fileName);
        var idOpn = charIDToTypeID("Opn ");
        var desc34 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        desc34.putPath(idnull, new File(thisFile.path + "/4.jsx"));
        executeAction(idOpn, desc34, DialogModes.NO);
        var idHd = charIDToTypeID("Hd  ");
        var desc2 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        var list2 = new ActionList();
        var ref2 = new ActionReference();
        var idLyr = charIDToTypeID("Lyr ");
        var idOrdn = charIDToTypeID("Ordn");
        var idTrgt = charIDToTypeID("Trgt");
        ref2.putEnumerated(idLyr, idOrdn, idTrgt);
        list2.putReference(ref2);
        desc2.putList(idnull, list2);
        executeAction(idHd, desc2, DialogModes.NO);
        var thisFile = new File($.fileName);
        var thisFile = new File($.fileName);
        var idOpn = charIDToTypeID("Opn ");
        var desc34 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        desc34.putPath(idnull, new File(thisFile.path + "/3.jsx"));
        executeAction(idOpn, desc34, DialogModes.NO);
        var idHd = charIDToTypeID("Hd  ");
        var desc2 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        var list2 = new ActionList();
        var ref2 = new ActionReference();
        var idLyr = charIDToTypeID("Lyr ");
        var idOrdn = charIDToTypeID("Ordn");
        var idTrgt = charIDToTypeID("Trgt");
        ref2.putEnumerated(idLyr, idOrdn, idTrgt);
        list2.putReference(ref2);
        desc2.putList(idnull, list2);
        executeAction(idHd, desc2, DialogModes.NO);
        var thisFile = new File($.fileName);
        var thisFile = new File($.fileName);
        var idOpn = charIDToTypeID("Opn ");
        var desc34 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        desc34.putPath(idnull, new File(thisFile.path + "/2.jsx"));
        executeAction(idOpn, desc34, DialogModes.NO);
        var idHd = charIDToTypeID("Hd  ");
        var desc2 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        var list2 = new ActionList();
        var ref2 = new ActionReference();
        var idLyr = charIDToTypeID("Lyr ");
        var idOrdn = charIDToTypeID("Ordn");
        var idTrgt = charIDToTypeID("Trgt");
        ref2.putEnumerated(idLyr, idOrdn, idTrgt);
        list2.putReference(ref2);
        desc2.putList(idnull, list2);
        executeAction(idHd, desc2, DialogModes.NO);
        var thisFile = new File($.fileName);
        var thisFile = new File($.fileName);
        var idOpn = charIDToTypeID("Opn ");
        var desc34 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        desc34.putPath(idnull, new File(thisFile.path + "/1.jsx"));
        executeAction(idOpn, desc34, DialogModes.NO);
        var idHd = charIDToTypeID("Hd  ");
        var desc2 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        var list2 = new ActionList();
        var ref2 = new ActionReference();
        var idLyr = charIDToTypeID("Lyr ");
        var idOrdn = charIDToTypeID("Ordn");
        var idTrgt = charIDToTypeID("Trgt");
        ref2.putEnumerated(idLyr, idOrdn, idTrgt);
        list2.putReference(ref2);
        desc2.putList(idnull, list2);
        executeAction(idHd, desc2, DialogModes.NO);
        var idslct = charIDToTypeID("slct");
        var desc2 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        var ref1 = new ActionReference();
        var idLyr = charIDToTypeID("Lyr ");
        ref1.putName(idLyr, "WW_B&W 4");
        desc2.putReference(idnull, ref1);
        var idselectionModifier = stringIDToTypeID("selectionModifier");
        var idselectionModifierType = stringIDToTypeID("selectionModifierType");
        var idaddToSelectionContinuous = stringIDToTypeID("addToSelectionContinuous");
        desc2.putEnumerated(idselectionModifier, idselectionModifierType, idaddToSelectionContinuous);
        var idMkVs = charIDToTypeID("MkVs");
        desc2.putBoolean(idMkVs, false);
        executeAction(idslct, desc2, DialogModes.NO);
        var idMk = charIDToTypeID("Mk  ");
        var desc3 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        var ref2 = new ActionReference();
        var idlayerSection = stringIDToTypeID("layerSection");
        ref2.putClass(idlayerSection);
        desc3.putReference(idnull, ref2);
        var idFrom = charIDToTypeID("From");
        var ref3 = new ActionReference();
        var idLyr = charIDToTypeID("Lyr ");
        var idOrdn = charIDToTypeID("Ordn");
        var idTrgt = charIDToTypeID("Trgt");
        ref3.putEnumerated(idLyr, idOrdn, idTrgt);
        desc3.putReference(idFrom, ref3);
        executeAction(idMk, desc3, DialogModes.NO);
        var idsetd = charIDToTypeID("setd");
        var desc4 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        var ref4 = new ActionReference();
        var idLyr = charIDToTypeID("Lyr ");
        var idOrdn = charIDToTypeID("Ordn");
        var idTrgt = charIDToTypeID("Trgt");
        ref4.putEnumerated(idLyr, idOrdn, idTrgt);
        desc4.putReference(idnull, ref4);
        var idT = charIDToTypeID("T   ");
        var desc5 = new ActionDescriptor();
        var idNm = charIDToTypeID("Nm  ");
        desc5.putString(idNm, "All Color Correction");
        var idLyr = charIDToTypeID("Lyr ");
        desc4.putObject(idT, idLyr, desc5);
        executeAction(idsetd, desc4, DialogModes.NO);
        var idsetd = charIDToTypeID("setd");
        var desc6 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        var ref5 = new ActionReference();
        var idLyr = charIDToTypeID("Lyr ");
        var idOrdn = charIDToTypeID("Ordn");
        var idTrgt = charIDToTypeID("Trgt");
        ref5.putEnumerated(idLyr, idOrdn, idTrgt);
        desc6.putReference(idnull, ref5);
        var idT = charIDToTypeID("T   ");
        var desc7 = new ActionDescriptor();
        var idClr = charIDToTypeID("Clr ");
        var idClr = charIDToTypeID("Clr ");
        var idBl = charIDToTypeID("Bl  ");
        desc7.putEnumerated(idClr, idClr, idBl);
        var idLyr = charIDToTypeID("Lyr ");
        desc6.putObject(idT, idLyr, desc7);
        executeAction(idsetd, desc6, DialogModes.NO);
        var idsetd = charIDToTypeID("setd");
        var desc8 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        var ref6 = new ActionReference();
        var idLyr = charIDToTypeID("Lyr ");
        var idOrdn = charIDToTypeID("Ordn");
        var idTrgt = charIDToTypeID("Trgt");
        ref6.putEnumerated(idLyr, idOrdn, idTrgt);
        desc8.putReference(idnull, ref6);
        var idT = charIDToTypeID("T   ");
        var desc9 = new ActionDescriptor();
        var idClr = charIDToTypeID("Clr ");
        var idClr = charIDToTypeID("Clr ");
        var idNone = charIDToTypeID("None");
        desc9.putEnumerated(idClr, idClr, idNone);
        var idLyr = charIDToTypeID("Lyr ");
        desc8.putObject(idT, idLyr, desc9);
        executeAction(idsetd, desc8, DialogModes.NO);
        var idslct = charIDToTypeID("slct");
        var desc10 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        var ref7 = new ActionReference();
        var idLyr = charIDToTypeID("Lyr ");
        ref7.putName(idLyr, "WW_Fashion 1");
        desc10.putReference(idnull, ref7);
        var idMkVs = charIDToTypeID("MkVs");
        desc10.putBoolean(idMkVs, false);
        executeAction(idslct, desc10, DialogModes.NO);
        var idShw = charIDToTypeID("Shw ");
        var desc11 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        var list1 = new ActionList();
        var ref8 = new ActionReference();
        var idLyr = charIDToTypeID("Lyr ");
        var idOrdn = charIDToTypeID("Ordn");
        var idTrgt = charIDToTypeID("Trgt");
        ref8.putEnumerated(idLyr, idOrdn, idTrgt);
        list1.putReference(ref8);
        desc11.putList(idnull, list1);
        executeAction(idShw, desc11, DialogModes.NO);
    } else {
        function Action() {
            function step1(enabled, withDialog) {
                if (enabled != undefined && !enabled) {
                    return;
                }
                var dialogMode = withDialog ? DialogModes.ALL : DialogModes.NO;
                var desc1 = new ActionDescriptor();
                desc1.putString(PSKey.Message, "欢迎使用Ultimate Retouch色彩校正，开始渲染所有颜色预设，这将需要一些时间。继续吗？");
                desc1.putBoolean(PSKey.Continue, true);
                executeAction(PSEvent.Stop, desc1, dialogMode);
            }
            step1(true, true);
        }
        cTID = function(s) {
            return app.charIDToTypeID(s);
        };
        sTID = function(s) {
            return app.stringIDToTypeID(s);
        };
        Action.loadSymbols = function() {
            var dbgLevel = $.level;
            $.level = 0;
            try {
                PSConstants;
                return;
            } catch (e) {

            } finally {
                $.level = dbgLevel;
            }
            var needDefs = true;
            $.level = 0;
            try {
                PSClass;
                needDefs = false;
            } catch (e) {

            } finally {
                $.level = dbgLevel;
            }
            if (needDefs) {
                PSClass = function() {

                };
                PSEnum = function() {

                };
                PSEvent = function() {

                };
                PSForm = function() {

                };
                PSKey = function() {

                };
                PSType = function() {

                };
                PSUnit = function() {

                };
                PSString = function() {

                };
            }
            PSEvent.Stop = cTID("Stop");
            PSKey.Continue = cTID("Cntn");
            PSKey.Message = cTID("Msge");
        };
        Action.loadSymbols();
        Action.main = function() {
            Action();
        };
        Action.main();
        var thisFile = new File($.fileName);
        var thisFile = new File($.fileName);
        var idOpn = charIDToTypeID("Opn ");
        var desc34 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        desc34.putPath(idnull, new File(thisFile.path + "/54.jsx"));
        executeAction(idOpn, desc34, DialogModes.NO);
        var idHd = charIDToTypeID("Hd  ");
        var desc2 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        var list2 = new ActionList();
        var ref2 = new ActionReference();
        var idLyr = charIDToTypeID("Lyr ");
        var idOrdn = charIDToTypeID("Ordn");
        var idTrgt = charIDToTypeID("Trgt");
        ref2.putEnumerated(idLyr, idOrdn, idTrgt);
        list2.putReference(ref2);
        desc2.putList(idnull, list2);
        executeAction(idHd, desc2, DialogModes.NO);
        var thisFile = new File($.fileName);
        var thisFile = new File($.fileName);
        var idOpn = charIDToTypeID("Opn ");
        var desc34 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        desc34.putPath(idnull, new File(thisFile.path + "/53.jsx"));
        executeAction(idOpn, desc34, DialogModes.NO);
        var idHd = charIDToTypeID("Hd  ");
        var desc2 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        var list2 = new ActionList();
        var ref2 = new ActionReference();
        var idLyr = charIDToTypeID("Lyr ");
        var idOrdn = charIDToTypeID("Ordn");
        var idTrgt = charIDToTypeID("Trgt");
        ref2.putEnumerated(idLyr, idOrdn, idTrgt);
        list2.putReference(ref2);
        desc2.putList(idnull, list2);
        executeAction(idHd, desc2, DialogModes.NO);
        var thisFile = new File($.fileName);
        var thisFile = new File($.fileName);
        var idOpn = charIDToTypeID("Opn ");
        var desc34 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        desc34.putPath(idnull, new File(thisFile.path + "/52.jsx"));
        executeAction(idOpn, desc34, DialogModes.NO);
        var idHd = charIDToTypeID("Hd  ");
        var desc2 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        var list2 = new ActionList();
        var ref2 = new ActionReference();
        var idLyr = charIDToTypeID("Lyr ");
        var idOrdn = charIDToTypeID("Ordn");
        var idTrgt = charIDToTypeID("Trgt");
        ref2.putEnumerated(idLyr, idOrdn, idTrgt);
        list2.putReference(ref2);
        desc2.putList(idnull, list2);
        executeAction(idHd, desc2, DialogModes.NO);
        var idHd = charIDToTypeID("Hd  ");
        var desc2 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        var list2 = new ActionList();
        var ref2 = new ActionReference();
        var idLyr = charIDToTypeID("Lyr ");
        var idOrdn = charIDToTypeID("Ordn");
        var idTrgt = charIDToTypeID("Trgt");
        ref2.putEnumerated(idLyr, idOrdn, idTrgt);
        list2.putReference(ref2);
        desc2.putList(idnull, list2);
        executeAction(idHd, desc2, DialogModes.NO);
        var idHd = charIDToTypeID("Hd  ");
        var desc2 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        var list2 = new ActionList();
        var ref2 = new ActionReference();
        var idLyr = charIDToTypeID("Lyr ");
        var idOrdn = charIDToTypeID("Ordn");
        var idTrgt = charIDToTypeID("Trgt");
        ref2.putEnumerated(idLyr, idOrdn, idTrgt);
        list2.putReference(ref2);
        desc2.putList(idnull, list2);
        executeAction(idHd, desc2, DialogModes.NO);
        var thisFile = new File($.fileName);
        var thisFile = new File($.fileName);
        var idOpn = charIDToTypeID("Opn ");
        var desc34 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        desc34.putPath(idnull, new File(thisFile.path + "/51.jsx"));
        executeAction(idOpn, desc34, DialogModes.NO);
        var idHd = charIDToTypeID("Hd  ");
        var desc2 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        var list2 = new ActionList();
        var ref2 = new ActionReference();
        var idLyr = charIDToTypeID("Lyr ");
        var idOrdn = charIDToTypeID("Ordn");
        var idTrgt = charIDToTypeID("Trgt");
        ref2.putEnumerated(idLyr, idOrdn, idTrgt);
        list2.putReference(ref2);
        desc2.putList(idnull, list2);
        executeAction(idHd, desc2, DialogModes.NO);
        var thisFile = new File($.fileName);
        var thisFile = new File($.fileName);
        var idOpn = charIDToTypeID("Opn ");
        var desc34 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        desc34.putPath(idnull, new File(thisFile.path + "/45.jsx"));
        executeAction(idOpn, desc34, DialogModes.NO);
        var idHd = charIDToTypeID("Hd  ");
        var desc2 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        var list2 = new ActionList();
        var ref2 = new ActionReference();
        var idLyr = charIDToTypeID("Lyr ");
        var idOrdn = charIDToTypeID("Ordn");
        var idTrgt = charIDToTypeID("Trgt");
        ref2.putEnumerated(idLyr, idOrdn, idTrgt);
        list2.putReference(ref2);
        desc2.putList(idnull, list2);
        executeAction(idHd, desc2, DialogModes.NO);
        var thisFile = new File($.fileName);
        var thisFile = new File($.fileName);
        var idOpn = charIDToTypeID("Opn ");
        var desc34 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        desc34.putPath(idnull, new File(thisFile.path + "/44.jsx"));
        executeAction(idOpn, desc34, DialogModes.NO);
        var idHd = charIDToTypeID("Hd  ");
        var desc2 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        var list2 = new ActionList();
        var ref2 = new ActionReference();
        var idLyr = charIDToTypeID("Lyr ");
        var idOrdn = charIDToTypeID("Ordn");
        var idTrgt = charIDToTypeID("Trgt");
        ref2.putEnumerated(idLyr, idOrdn, idTrgt);
        list2.putReference(ref2);
        desc2.putList(idnull, list2);
        executeAction(idHd, desc2, DialogModes.NO);
        var thisFile = new File($.fileName);
        var thisFile = new File($.fileName);
        var idOpn = charIDToTypeID("Opn ");
        var desc34 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        desc34.putPath(idnull, new File(thisFile.path + "/43.jsx"));
        executeAction(idOpn, desc34, DialogModes.NO);
        var idHd = charIDToTypeID("Hd  ");
        var desc2 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        var list2 = new ActionList();
        var ref2 = new ActionReference();
        var idLyr = charIDToTypeID("Lyr ");
        var idOrdn = charIDToTypeID("Ordn");
        var idTrgt = charIDToTypeID("Trgt");
        ref2.putEnumerated(idLyr, idOrdn, idTrgt);
        list2.putReference(ref2);
        desc2.putList(idnull, list2);
        executeAction(idHd, desc2, DialogModes.NO);
        var thisFile = new File($.fileName);
        var thisFile = new File($.fileName);
        var idOpn = charIDToTypeID("Opn ");
        var desc34 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        desc34.putPath(idnull, new File(thisFile.path + "/42.jsx"));
        executeAction(idOpn, desc34, DialogModes.NO);
        var idHd = charIDToTypeID("Hd  ");
        var desc2 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        var list2 = new ActionList();
        var ref2 = new ActionReference();
        var idLyr = charIDToTypeID("Lyr ");
        var idOrdn = charIDToTypeID("Ordn");
        var idTrgt = charIDToTypeID("Trgt");
        ref2.putEnumerated(idLyr, idOrdn, idTrgt);
        list2.putReference(ref2);
        desc2.putList(idnull, list2);
        executeAction(idHd, desc2, DialogModes.NO);
        var thisFile = new File($.fileName);
        var thisFile = new File($.fileName);
        var idOpn = charIDToTypeID("Opn ");
        var desc34 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        desc34.putPath(idnull, new File(thisFile.path + "/41.jsx"));
        executeAction(idOpn, desc34, DialogModes.NO);
        var idHd = charIDToTypeID("Hd  ");
        var desc2 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        var list2 = new ActionList();
        var ref2 = new ActionReference();
        var idLyr = charIDToTypeID("Lyr ");
        var idOrdn = charIDToTypeID("Ordn");
        var idTrgt = charIDToTypeID("Trgt");
        ref2.putEnumerated(idLyr, idOrdn, idTrgt);
        list2.putReference(ref2);
        desc2.putList(idnull, list2);
        executeAction(idHd, desc2, DialogModes.NO);
        var thisFile = new File($.fileName);
        var thisFile = new File($.fileName);
        var idOpn = charIDToTypeID("Opn ");
        var desc34 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        desc34.putPath(idnull, new File(thisFile.path + "/35.jsx"));
        executeAction(idOpn, desc34, DialogModes.NO);
        var idHd = charIDToTypeID("Hd  ");
        var desc2 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        var list2 = new ActionList();
        var ref2 = new ActionReference();
        var idLyr = charIDToTypeID("Lyr ");
        var idOrdn = charIDToTypeID("Ordn");
        var idTrgt = charIDToTypeID("Trgt");
        ref2.putEnumerated(idLyr, idOrdn, idTrgt);
        list2.putReference(ref2);
        desc2.putList(idnull, list2);
        executeAction(idHd, desc2, DialogModes.NO);
        var thisFile = new File($.fileName);
        var thisFile = new File($.fileName);
        var idOpn = charIDToTypeID("Opn ");
        var desc34 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        desc34.putPath(idnull, new File(thisFile.path + "/34.jsx"));
        executeAction(idOpn, desc34, DialogModes.NO);
        var idHd = charIDToTypeID("Hd  ");
        var desc2 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        var list2 = new ActionList();
        var ref2 = new ActionReference();
        var idLyr = charIDToTypeID("Lyr ");
        var idOrdn = charIDToTypeID("Ordn");
        var idTrgt = charIDToTypeID("Trgt");
        ref2.putEnumerated(idLyr, idOrdn, idTrgt);
        list2.putReference(ref2);
        desc2.putList(idnull, list2);
        executeAction(idHd, desc2, DialogModes.NO);
        var thisFile = new File($.fileName);
        var thisFile = new File($.fileName);
        var idOpn = charIDToTypeID("Opn ");
        var desc34 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        desc34.putPath(idnull, new File(thisFile.path + "/33.jsx"));
        executeAction(idOpn, desc34, DialogModes.NO);
        var idHd = charIDToTypeID("Hd  ");
        var desc2 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        var list2 = new ActionList();
        var ref2 = new ActionReference();
        var idLyr = charIDToTypeID("Lyr ");
        var idOrdn = charIDToTypeID("Ordn");
        var idTrgt = charIDToTypeID("Trgt");
        ref2.putEnumerated(idLyr, idOrdn, idTrgt);
        list2.putReference(ref2);
        desc2.putList(idnull, list2);
        executeAction(idHd, desc2, DialogModes.NO);
        var thisFile = new File($.fileName);
        var thisFile = new File($.fileName);
        var idOpn = charIDToTypeID("Opn ");
        var desc34 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        desc34.putPath(idnull, new File(thisFile.path + "/32.jsx"));
        executeAction(idOpn, desc34, DialogModes.NO);
        var idHd = charIDToTypeID("Hd  ");
        var desc2 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        var list2 = new ActionList();
        var ref2 = new ActionReference();
        var idLyr = charIDToTypeID("Lyr ");
        var idOrdn = charIDToTypeID("Ordn");
        var idTrgt = charIDToTypeID("Trgt");
        ref2.putEnumerated(idLyr, idOrdn, idTrgt);
        list2.putReference(ref2);
        desc2.putList(idnull, list2);
        executeAction(idHd, desc2, DialogModes.NO);
        var idHd = charIDToTypeID("Hd  ");
        var desc2 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        var list2 = new ActionList();
        var ref2 = new ActionReference();
        var idLyr = charIDToTypeID("Lyr ");
        var idOrdn = charIDToTypeID("Ordn");
        var idTrgt = charIDToTypeID("Trgt");
        ref2.putEnumerated(idLyr, idOrdn, idTrgt);
        list2.putReference(ref2);
        desc2.putList(idnull, list2);
        executeAction(idHd, desc2, DialogModes.NO);
        var thisFile = new File($.fileName);
        var thisFile = new File($.fileName);
        var idOpn = charIDToTypeID("Opn ");
        var desc34 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        desc34.putPath(idnull, new File(thisFile.path + "/31.jsx"));
        executeAction(idOpn, desc34, DialogModes.NO);
        var idHd = charIDToTypeID("Hd  ");
        var desc2 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        var list2 = new ActionList();
        var ref2 = new ActionReference();
        var idLyr = charIDToTypeID("Lyr ");
        var idOrdn = charIDToTypeID("Ordn");
        var idTrgt = charIDToTypeID("Trgt");
        ref2.putEnumerated(idLyr, idOrdn, idTrgt);
        list2.putReference(ref2);
        desc2.putList(idnull, list2);
        executeAction(idHd, desc2, DialogModes.NO);
        var thisFile = new File($.fileName);
        var thisFile = new File($.fileName);
        var idOpn = charIDToTypeID("Opn ");
        var desc34 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        desc34.putPath(idnull, new File(thisFile.path + "/25.jsx"));
        executeAction(idOpn, desc34, DialogModes.NO);
        var idHd = charIDToTypeID("Hd  ");
        var desc2 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        var list2 = new ActionList();
        var ref2 = new ActionReference();
        var idLyr = charIDToTypeID("Lyr ");
        var idOrdn = charIDToTypeID("Ordn");
        var idTrgt = charIDToTypeID("Trgt");
        ref2.putEnumerated(idLyr, idOrdn, idTrgt);
        list2.putReference(ref2);
        desc2.putList(idnull, list2);
        executeAction(idHd, desc2, DialogModes.NO);
        var thisFile = new File($.fileName);
        var thisFile = new File($.fileName);
        var idOpn = charIDToTypeID("Opn ");
        var desc34 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        desc34.putPath(idnull, new File(thisFile.path + "/24.jsx"));
        executeAction(idOpn, desc34, DialogModes.NO);
        var idHd = charIDToTypeID("Hd  ");
        var desc2 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        var list2 = new ActionList();
        var ref2 = new ActionReference();
        var idLyr = charIDToTypeID("Lyr ");
        var idOrdn = charIDToTypeID("Ordn");
        var idTrgt = charIDToTypeID("Trgt");
        ref2.putEnumerated(idLyr, idOrdn, idTrgt);
        list2.putReference(ref2);
        desc2.putList(idnull, list2);
        executeAction(idHd, desc2, DialogModes.NO);
        var idHd = charIDToTypeID("Hd  ");
        var desc2 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        var list2 = new ActionList();
        var ref2 = new ActionReference();
        var idLyr = charIDToTypeID("Lyr ");
        var idOrdn = charIDToTypeID("Ordn");
        var idTrgt = charIDToTypeID("Trgt");
        ref2.putEnumerated(idLyr, idOrdn, idTrgt);
        list2.putReference(ref2);
        desc2.putList(idnull, list2);
        executeAction(idHd, desc2, DialogModes.NO);
        var thisFile = new File($.fileName);
        var thisFile = new File($.fileName);
        var idOpn = charIDToTypeID("Opn ");
        var desc34 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        desc34.putPath(idnull, new File(thisFile.path + "/23.jsx"));
        executeAction(idOpn, desc34, DialogModes.NO);
        var idHd = charIDToTypeID("Hd  ");
        var desc2 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        var list2 = new ActionList();
        var ref2 = new ActionReference();
        var idLyr = charIDToTypeID("Lyr ");
        var idOrdn = charIDToTypeID("Ordn");
        var idTrgt = charIDToTypeID("Trgt");
        ref2.putEnumerated(idLyr, idOrdn, idTrgt);
        list2.putReference(ref2);
        desc2.putList(idnull, list2);
        executeAction(idHd, desc2, DialogModes.NO);
        var thisFile = new File($.fileName);
        var thisFile = new File($.fileName);
        var idOpn = charIDToTypeID("Opn ");
        var desc34 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        desc34.putPath(idnull, new File(thisFile.path + "/22.jsx"));
        executeAction(idOpn, desc34, DialogModes.NO);
        var idHd = charIDToTypeID("Hd  ");
        var desc2 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        var list2 = new ActionList();
        var ref2 = new ActionReference();
        var idLyr = charIDToTypeID("Lyr ");
        var idOrdn = charIDToTypeID("Ordn");
        var idTrgt = charIDToTypeID("Trgt");
        ref2.putEnumerated(idLyr, idOrdn, idTrgt);
        list2.putReference(ref2);
        desc2.putList(idnull, list2);
        executeAction(idHd, desc2, DialogModes.NO);
        var thisFile = new File($.fileName);
        var thisFile = new File($.fileName);
        var idOpn = charIDToTypeID("Opn ");
        var desc34 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        desc34.putPath(idnull, new File(thisFile.path + "/21.jsx"));
        executeAction(idOpn, desc34, DialogModes.NO);
        var idHd = charIDToTypeID("Hd  ");
        var desc2 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        var list2 = new ActionList();
        var ref2 = new ActionReference();
        var idLyr = charIDToTypeID("Lyr ");
        var idOrdn = charIDToTypeID("Ordn");
        var idTrgt = charIDToTypeID("Trgt");
        ref2.putEnumerated(idLyr, idOrdn, idTrgt);
        list2.putReference(ref2);
        desc2.putList(idnull, list2);
        executeAction(idHd, desc2, DialogModes.NO);
        var thisFile = new File($.fileName);
        var thisFile = new File($.fileName);
        var idOpn = charIDToTypeID("Opn ");
        var desc34 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        desc34.putPath(idnull, new File(thisFile.path + "/15.jsx"));
        executeAction(idOpn, desc34, DialogModes.NO);
        var idHd = charIDToTypeID("Hd  ");
        var desc2 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        var list2 = new ActionList();
        var ref2 = new ActionReference();
        var idLyr = charIDToTypeID("Lyr ");
        var idOrdn = charIDToTypeID("Ordn");
        var idTrgt = charIDToTypeID("Trgt");
        ref2.putEnumerated(idLyr, idOrdn, idTrgt);
        list2.putReference(ref2);
        desc2.putList(idnull, list2);
        executeAction(idHd, desc2, DialogModes.NO);
        var thisFile = new File($.fileName);
        var thisFile = new File($.fileName);
        var idOpn = charIDToTypeID("Opn ");
        var desc34 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        desc34.putPath(idnull, new File(thisFile.path + "/14.jsx"));
        executeAction(idOpn, desc34, DialogModes.NO);
        var idHd = charIDToTypeID("Hd  ");
        var desc2 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        var list2 = new ActionList();
        var ref2 = new ActionReference();
        var idLyr = charIDToTypeID("Lyr ");
        var idOrdn = charIDToTypeID("Ordn");
        var idTrgt = charIDToTypeID("Trgt");
        ref2.putEnumerated(idLyr, idOrdn, idTrgt);
        list2.putReference(ref2);
        desc2.putList(idnull, list2);
        executeAction(idHd, desc2, DialogModes.NO);
        var thisFile = new File($.fileName);
        var thisFile = new File($.fileName);
        var idOpn = charIDToTypeID("Opn ");
        var desc34 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        desc34.putPath(idnull, new File(thisFile.path + "/13.jsx"));
        executeAction(idOpn, desc34, DialogModes.NO);
        var idHd = charIDToTypeID("Hd  ");
        var desc2 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        var list2 = new ActionList();
        var ref2 = new ActionReference();
        var idLyr = charIDToTypeID("Lyr ");
        var idOrdn = charIDToTypeID("Ordn");
        var idTrgt = charIDToTypeID("Trgt");
        ref2.putEnumerated(idLyr, idOrdn, idTrgt);
        list2.putReference(ref2);
        desc2.putList(idnull, list2);
        executeAction(idHd, desc2, DialogModes.NO);
        var thisFile = new File($.fileName);
        var thisFile = new File($.fileName);
        var idOpn = charIDToTypeID("Opn ");
        var desc34 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        desc34.putPath(idnull, new File(thisFile.path + "/12.jsx"));
        executeAction(idOpn, desc34, DialogModes.NO);
        var idHd = charIDToTypeID("Hd  ");
        var desc2 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        var list2 = new ActionList();
        var ref2 = new ActionReference();
        var idLyr = charIDToTypeID("Lyr ");
        var idOrdn = charIDToTypeID("Ordn");
        var idTrgt = charIDToTypeID("Trgt");
        ref2.putEnumerated(idLyr, idOrdn, idTrgt);
        list2.putReference(ref2);
        desc2.putList(idnull, list2);
        executeAction(idHd, desc2, DialogModes.NO);
        var thisFile = new File($.fileName);
        var thisFile = new File($.fileName);
        var idOpn = charIDToTypeID("Opn ");
        var desc34 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        desc34.putPath(idnull, new File(thisFile.path + "/11.jsx"));
        executeAction(idOpn, desc34, DialogModes.NO);
        var idHd = charIDToTypeID("Hd  ");
        var desc2 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        var list2 = new ActionList();
        var ref2 = new ActionReference();
        var idLyr = charIDToTypeID("Lyr ");
        var idOrdn = charIDToTypeID("Ordn");
        var idTrgt = charIDToTypeID("Trgt");
        ref2.putEnumerated(idLyr, idOrdn, idTrgt);
        list2.putReference(ref2);
        desc2.putList(idnull, list2);
        executeAction(idHd, desc2, DialogModes.NO);
        var thisFile = new File($.fileName);
        var thisFile = new File($.fileName);
        var idOpn = charIDToTypeID("Opn ");
        var desc34 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        desc34.putPath(idnull, new File(thisFile.path + "/5.jsx"));
        executeAction(idOpn, desc34, DialogModes.NO);
        var idHd = charIDToTypeID("Hd  ");
        var desc2 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        var list2 = new ActionList();
        var ref2 = new ActionReference();
        var idLyr = charIDToTypeID("Lyr ");
        var idOrdn = charIDToTypeID("Ordn");
        var idTrgt = charIDToTypeID("Trgt");
        ref2.putEnumerated(idLyr, idOrdn, idTrgt);
        list2.putReference(ref2);
        desc2.putList(idnull, list2);
        executeAction(idHd, desc2, DialogModes.NO);
        var thisFile = new File($.fileName);
        var thisFile = new File($.fileName);
        var idOpn = charIDToTypeID("Opn ");
        var desc34 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        desc34.putPath(idnull, new File(thisFile.path + "/4.jsx"));
        executeAction(idOpn, desc34, DialogModes.NO);
        var idHd = charIDToTypeID("Hd  ");
        var desc2 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        var list2 = new ActionList();
        var ref2 = new ActionReference();
        var idLyr = charIDToTypeID("Lyr ");
        var idOrdn = charIDToTypeID("Ordn");
        var idTrgt = charIDToTypeID("Trgt");
        ref2.putEnumerated(idLyr, idOrdn, idTrgt);
        list2.putReference(ref2);
        desc2.putList(idnull, list2);
        executeAction(idHd, desc2, DialogModes.NO);
        var thisFile = new File($.fileName);
        var thisFile = new File($.fileName);
        var idOpn = charIDToTypeID("Opn ");
        var desc34 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        desc34.putPath(idnull, new File(thisFile.path + "/3.jsx"));
        executeAction(idOpn, desc34, DialogModes.NO);
        var idHd = charIDToTypeID("Hd  ");
        var desc2 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        var list2 = new ActionList();
        var ref2 = new ActionReference();
        var idLyr = charIDToTypeID("Lyr ");
        var idOrdn = charIDToTypeID("Ordn");
        var idTrgt = charIDToTypeID("Trgt");
        ref2.putEnumerated(idLyr, idOrdn, idTrgt);
        list2.putReference(ref2);
        desc2.putList(idnull, list2);
        executeAction(idHd, desc2, DialogModes.NO);
        var thisFile = new File($.fileName);
        var thisFile = new File($.fileName);
        var idOpn = charIDToTypeID("Opn ");
        var desc34 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        desc34.putPath(idnull, new File(thisFile.path + "/2.jsx"));
        executeAction(idOpn, desc34, DialogModes.NO);
        var idHd = charIDToTypeID("Hd  ");
        var desc2 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        var list2 = new ActionList();
        var ref2 = new ActionReference();
        var idLyr = charIDToTypeID("Lyr ");
        var idOrdn = charIDToTypeID("Ordn");
        var idTrgt = charIDToTypeID("Trgt");
        ref2.putEnumerated(idLyr, idOrdn, idTrgt);
        list2.putReference(ref2);
        desc2.putList(idnull, list2);
        executeAction(idHd, desc2, DialogModes.NO);
        var thisFile = new File($.fileName);
        var thisFile = new File($.fileName);
        var idOpn = charIDToTypeID("Opn ");
        var desc34 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        desc34.putPath(idnull, new File(thisFile.path + "/1.jsx"));
        executeAction(idOpn, desc34, DialogModes.NO);
        var idHd = charIDToTypeID("Hd  ");
        var desc2 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        var list2 = new ActionList();
        var ref2 = new ActionReference();
        var idLyr = charIDToTypeID("Lyr ");
        var idOrdn = charIDToTypeID("Ordn");
        var idTrgt = charIDToTypeID("Trgt");
        ref2.putEnumerated(idLyr, idOrdn, idTrgt);
        list2.putReference(ref2);
        desc2.putList(idnull, list2);
        executeAction(idHd, desc2, DialogModes.NO);
        var idslct = charIDToTypeID("slct");
        var desc2 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        var ref1 = new ActionReference();
        var idLyr = charIDToTypeID("Lyr ");
        ref1.putName(idLyr, "WW_B&W 4");
        desc2.putReference(idnull, ref1);
        var idselectionModifier = stringIDToTypeID("selectionModifier");
        var idselectionModifierType = stringIDToTypeID("selectionModifierType");
        var idaddToSelectionContinuous = stringIDToTypeID("addToSelectionContinuous");
        desc2.putEnumerated(idselectionModifier, idselectionModifierType, idaddToSelectionContinuous);
        var idMkVs = charIDToTypeID("MkVs");
        desc2.putBoolean(idMkVs, false);
        executeAction(idslct, desc2, DialogModes.NO);
        var idMk = charIDToTypeID("Mk  ");
        var desc3 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        var ref2 = new ActionReference();
        var idlayerSection = stringIDToTypeID("layerSection");
        ref2.putClass(idlayerSection);
        desc3.putReference(idnull, ref2);
        var idFrom = charIDToTypeID("From");
        var ref3 = new ActionReference();
        var idLyr = charIDToTypeID("Lyr ");
        var idOrdn = charIDToTypeID("Ordn");
        var idTrgt = charIDToTypeID("Trgt");
        ref3.putEnumerated(idLyr, idOrdn, idTrgt);
        desc3.putReference(idFrom, ref3);
        executeAction(idMk, desc3, DialogModes.NO);
        var idsetd = charIDToTypeID("setd");
        var desc4 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        var ref4 = new ActionReference();
        var idLyr = charIDToTypeID("Lyr ");
        var idOrdn = charIDToTypeID("Ordn");
        var idTrgt = charIDToTypeID("Trgt");
        ref4.putEnumerated(idLyr, idOrdn, idTrgt);
        desc4.putReference(idnull, ref4);
        var idT = charIDToTypeID("T   ");
        var desc5 = new ActionDescriptor();
        var idNm = charIDToTypeID("Nm  ");
        desc5.putString(idNm, "All Color Correction");
        var idLyr = charIDToTypeID("Lyr ");
        desc4.putObject(idT, idLyr, desc5);
        executeAction(idsetd, desc4, DialogModes.NO);
        var idsetd = charIDToTypeID("setd");
        var desc6 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        var ref5 = new ActionReference();
        var idLyr = charIDToTypeID("Lyr ");
        var idOrdn = charIDToTypeID("Ordn");
        var idTrgt = charIDToTypeID("Trgt");
        ref5.putEnumerated(idLyr, idOrdn, idTrgt);
        desc6.putReference(idnull, ref5);
        var idT = charIDToTypeID("T   ");
        var desc7 = new ActionDescriptor();
        var idClr = charIDToTypeID("Clr ");
        var idClr = charIDToTypeID("Clr ");
        var idBl = charIDToTypeID("Bl  ");
        desc7.putEnumerated(idClr, idClr, idBl);
        var idLyr = charIDToTypeID("Lyr ");
        desc6.putObject(idT, idLyr, desc7);
        executeAction(idsetd, desc6, DialogModes.NO);
        var idsetd = charIDToTypeID("setd");
        var desc8 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        var ref6 = new ActionReference();
        var idLyr = charIDToTypeID("Lyr ");
        var idOrdn = charIDToTypeID("Ordn");
        var idTrgt = charIDToTypeID("Trgt");
        ref6.putEnumerated(idLyr, idOrdn, idTrgt);
        desc8.putReference(idnull, ref6);
        var idT = charIDToTypeID("T   ");
        var desc9 = new ActionDescriptor();
        var idClr = charIDToTypeID("Clr ");
        var idClr = charIDToTypeID("Clr ");
        var idNone = charIDToTypeID("None");
        desc9.putEnumerated(idClr, idClr, idNone);
        var idLyr = charIDToTypeID("Lyr ");
        desc8.putObject(idT, idLyr, desc9);
        executeAction(idsetd, desc8, DialogModes.NO);
        var idslct = charIDToTypeID("slct");
        var desc10 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        var ref7 = new ActionReference();
        var idLyr = charIDToTypeID("Lyr ");
        ref7.putName(idLyr, "WW_Fashion 1");
        desc10.putReference(idnull, ref7);
        var idMkVs = charIDToTypeID("MkVs");
        desc10.putBoolean(idMkVs, false);
        executeAction(idslct, desc10, DialogModes.NO);
        var idShw = charIDToTypeID("Shw ");
        var desc11 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        var list1 = new ActionList();
        var ref8 = new ActionReference();
        var idLyr = charIDToTypeID("Lyr ");
        var idOrdn = charIDToTypeID("Ordn");
        var idTrgt = charIDToTypeID("Trgt");
        ref8.putEnumerated(idLyr, idOrdn, idTrgt);
        list1.putReference(ref8);
        desc11.putList(idnull, list1);
        executeAction(idShw, desc11, DialogModes.NO);
    }
}